﻿@using Microsoft.AspNetCore.Identity
@using IcoStarter.Models

@inject SignInManager<ApplicationUser> SignInManager
@inject UserManager<ApplicationUser> UserManager

@{
    Layout = null;

    var user = await UserManager.GetUserAsync(User);
}

<!doctype html>
<html lang="en">
<head>
    <title>ICOStarter</title>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=0" name="viewport" />

    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1" />

    <!--     Fonts and icons     -->
    <link href="https://fonts.googleapis.com/css?family=Montserrat:400,700,200" rel="stylesheet" />
    <link href="https://use.fontawesome.com/releases/v5.0.6/css/all.css" rel="stylesheet">

    <!-- Now UI Dashboard CSS -->
    <link href="/dashboard/css/bootstrap.min.css" rel="stylesheet" />
    <link href="/dashboard/css/now-ui-dashboard.css?v=1.1.0" rel="stylesheet" />

</head>
<body>
    <div class="wrapper">
        <div class="sidebar" data-color="orange">
            <!--
            Tip 1: You can change the color of the sidebar using: data-color="purple | blue | green | orange | red"

            Tip 2: you can also add an image using data-image tag
            -->

            <div class="logo" style="text-align:center;">
                <a href="/" class="simple-text logo-normal">
                    <b>ICO</b>Starter
                </a>
            </div>

            <div class="sidebar-wrapper">
                <div class="user">
                    <div class="photo">
                        <img src="~/dashboard/img/james.jpg" />
                    </div>
                    <div class="info">
                        <a data-toggle="collapse" href="#collapseExample" class="collapsed">
                            <span>
                                @user.UserName
                                <b class="caret"></b>
                            </span>
                        </a>
                        <div class="clearfix"></div>
                        <div class="collapse" id="collapseExample">
                            <ul class="nav">
                                <li>
                                    <a href="#">
                                        <span class="sidebar-mini-icon"><i class="now-ui-icons users_circle-08"></i></span>
                                        <span class="sidebar-normal">My Profile</span>
                                    </a>
                                </li>
                                <li>
                                    <a href="#">
                                        <span class="sidebar-mini-icon">EP</span>
                                        <span class="sidebar-normal">Edit Profile</span>
                                    </a>
                                </li>
                                <li>
                                    <a href="#">
                                        <span class="sidebar-mini-icon">S</span>
                                        <span class="sidebar-normal">Settings</span>
                                    </a>
                                </li>
                            </ul>
                        </div>
                    </div>
                </div>
                <ul class="nav">

                    <li class="@(((string)ViewData["Section"]) == "Dashboard" ? "active" : "")">
                        <a href="~/dashboard">
                            <i class="now-ui-icons business_chart-bar-32"></i>
                            <p>Dashboard</p>
                        </a>
                    </li>

                    <li>
                        <a href="~/dashboard/contributions">
                            <i class="now-ui-icons business_money-coins"></i>
                            <p>Contributions</p>
                        </a>
                    </li>

                    <li class="@(((string)ViewData["Section"]) == "ICO" ? "active" : "")">
                        <a data-toggle="collapse" href="#icosButtons">
                            <i class="now-ui-icons business_bulb-63"></i>
                            <p>
                                My ICOs
                                <b class="caret"></b>
                            </p>
                        </a>

                        <div class="collapse" id="icosButtons">
                            <ul class="nav">
                                <li>
                                    <a href="~/dashboard/icos/new">
                                        <span class="sidebar-mini-icon"><i class="now-ui-icons ui-1_simple-add"></i></span>
                                        <span class="sidebar-normal">New ICO</span>
                                    </a>
                                </li>
                                <li>
                                    <a href="~/dashboard/icos">
                                        <span class="sidebar-mini-icon"><i class="now-ui-icons design_bullet-list-67"></i></span>
                                        <span class="sidebar-normal">Current ICOs</span>
                                    </a>
                                </li>
                            </ul>
                        </div>
                    </li>

                    <li>
                        <a href="~/dashboard/funds">
                            <i class="now-ui-icons business_briefcase-24"></i>
                            <p>Funds</p>
                        </a>
                    </li>

                    <li>
                        <a href="~/dashboard/settings">
                            <i class="now-ui-icons ui-1_settings-gear-63"></i>
                            <p>Settings</p>
                        </a>
                    </li>
                </ul>

            </div>
        </div>

        <div class="main-panel">

            <nav class="navbar navbar-expand-lg navbar-transparent navbar-absolute">
                <div class="container-fluid">


                    <div class="navbar-wrapper">
                        <div class="navbar-toggle">
                            <button type="button" class="navbar-toggler">
                                <span class="navbar-toggler-bar bar1"></span>
                                <span class="navbar-toggler-bar bar2"></span>
                                <span class="navbar-toggler-bar bar3"></span>
                            </button>
                        </div>
                        <span class="navbar-brand">@ViewData["Title"]</span>
                    </div>



                    <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navigation" aria-controls="navigation-index" aria-expanded="false" aria-label="Toggle navigation">
                        <span class="navbar-toggler-bar navbar-kebab"></span>
                        <span class="navbar-toggler-bar navbar-kebab"></span>
                        <span class="navbar-toggler-bar navbar-kebab"></span>
                    </button>

                    <div class="collapse navbar-collapse justify-content-end" id="navigation">


                        <ul class="navbar-nav">
                            <li class="nav-item">
                                <a class="nav-link" href="#pablo">
                                    <i class="now-ui-icons media-2_sound-wave"></i>
                                    <p>
                                        <span class="d-lg-none d-md-block">Stats</span>
                                    </p>
                                </a>
                            </li>
                            <li class="nav-item dropdown">
                                <a class="nav-link dropdown-toggle" href="http://example.com" id="navbarDropdownMenuLink" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                    <i class="now-ui-icons location_world"></i>
                                    <p>
                                        <span class="d-lg-none d-md-block">Some Actions</span>
                                    </p>
                                </a>
                                <div class="dropdown-menu dropdown-menu-right" aria-labelledby="navbarDropdownMenuLink">
                                    <a class="dropdown-item" href="#">Action</a>
                                    <a class="dropdown-item" href="#">Another action</a>
                                    <a class="dropdown-item" href="#">Something else here</a>
                                </div>
                            </li>

                            <li class="nav-item">
                                <a class="nav-link" href="#pablo">
                                    <i class="now-ui-icons users_single-02"></i>
                                    <p>
                                        <span class="d-lg-none d-md-block">Account</span>
                                    </p>
                                </a>
                            </li>
                        </ul>


                    </div>
                </div>
            </nav>

            <div class="panel-header panel-header-sm">
            </div>

            @RenderBody()

            <footer class="footer">
                <div class="container-fluid">
                    <div class="copyright">
                        &copy; 2018 ICOStarter.
                    </div>
                </div>
            </footer>
        </div>
    </div>
    <!--   Core JS Files   -->
    <script src="/dashboard/js/core/jquery.min.js" type="text/javascript"></script>
    <script src="/dashboard/js/core/popper.min.js" type="text/javascript"></script>
    <script src="/dashboard/js/core/bootstrap.min.js" type="text/javascript"></script>
    <script src="/dashboard/js/plugins/moment.min.js"></script>

    <!--  Plugin for Sweet Alert -->
    <script src="/dashboard/js/plugins/sweetalert2.min.js"></script>

    <!-- Forms Validations Plugin -->
    <script src="/dashboard/js/plugins/jquery.validate.min.js"></script>

    <!--  Plugin for the Wizard, full documentation here: https://github.com/VinceG/twitter-bootstrap-wizard -->
    <script src="/dashboard/js/plugins/jquery.bootstrap-wizard.js"></script>

    <!--	Plugin for Select, full documentation here: http://silviomoreto.github.io/bootstrap-select -->
    <script src="/dashboard/js/plugins/bootstrap-selectpicker.js" type="text/javascript"></script>

    <!--  Plugin for Switches, full documentation here: http://www.jque.re/plugins/version3/bootstrap.switch/ -->
    <script src="/dashboard/js/plugins/bootstrap-switch.js"></script>

    <!--  Plugin for the DateTimePicker, full documentation here: https://eonasdan.github.io/bootstrap-datetimepicker/ -->
    <script src="/dashboard/js/plugins/bootstrap-datetimepicker.js"></script>

    <!--  DataTables.net Plugin, full documentation here: https://datatables.net/    -->
    <script src="/dashboard/js/plugins/jquery.dataTables.min.js"></script>

    <!--	Plugin for Tags, full documentation here: https://github.com/bootstrap-tagsinput/bootstrap-tagsinputs  -->
    <script src="/dashboard/js/plugins/bootstrap-tagsinput.js"></script>

    <!-- Plugin for Fileupload, full documentation here: http://www.jasny.net/bootstrap/javascript/#fileinput -->
    <script src="/dashboard/js/plugins/jasny-bootstrap.min.js"></script>

    <!--  Full Calendar Plugin, full documentation here: https://github.com/fullcalendar/fullcalendar    -->
    <script src="/dashboard/js/plugins/fullcalendar.min.js"></script>

    <!--  Plugin for the Sliders, full documentation here: http://refreshless.com/nouislider/ -->
    <script src="/dashboard/js/plugins/nouislider.min.js" type="text/javascript"></script>

    <!-- Chart JS -->
    <script src="/dashboard/js/plugins/chartjs.min.js"></script>

    <!--  Notifications Plugin    -->
    <script src="/dashboard/js/plugins/bootstrap-notify.js"></script>

    <!-- Control Center for Now Ui Dashboard: parallax effects, scripts for the example pages etc -->
    <script src="/dashboard/js/now-ui-dashboard.js?v=1.1.0" type="text/javascript"></script>

    @RenderSection("Scripts", false)
</body>
</html>
